Namespace
library
Image / Tag
swift:5.9.2-focal-slim
Content Digest
sha256:9da9768cf828ff596924fa1a18fb2f99d64aaaf5d2283db2fdafe8b46c7cf661
Details
Created

2023-12-11 21:15:07 UTC

Size

86.2 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.version
    20.04

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.9.2-release

SWIFT_PLATFORM

ubuntu20.04

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.9.2-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:13b7e930469f6d3575a320709035c6acf6f5485a76abcf03d1b92a64c09c2476 - 30.43% (26.2 MB)

[#001] sha256:25f4333c371c806a8e80194141ad559a7ef8c3692bb408cff94934fa8d6f4acf - 24.66% (21.3 MB)

[#002] sha256:c0401bddcf89bbcec9918339eb544cd578dad912f42ce7345ea5d439c688fdb8 - 44.91% (38.7 MB)


History
2023-12-11 21:15:07 UTC

/bin/sh -c #(nop) ARG RELEASE

2023-12-11 21:15:07 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2023-12-11 21:15:07 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2023-12-11 21:15:07 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=20.04

2023-12-11 21:15:07 UTC

/bin/sh -c #(nop) ADD file:f9ee450324e6ff2c946bc9aae5cf7e35e240dbd387d8b9f5ee1ed5b8434b9894 in /

2023-12-11 21:15:07 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2023-12-11 21:15:07 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2023-12-11 21:15:07 UTC (buildkit.dockerfile.v0)

LABEL description=Docker Container for the Swift programming language

2023-12-11 21:15:07 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y libcurl4 libxml2 tzdata && rm -r /var/lib/apt/lists/* # buildkit

2023-12-11 21:15:07 UTC (buildkit.dockerfile.v0)

ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2023-12-11 21:15:07 UTC (buildkit.dockerfile.v0)

ARG SWIFT_PLATFORM=ubuntu20.04

2023-12-11 21:15:07 UTC (buildkit.dockerfile.v0)

ARG SWIFT_BRANCH=swift-5.9.2-release

2023-12-11 21:15:07 UTC (buildkit.dockerfile.v0)

ARG SWIFT_VERSION=swift-5.9.2-RELEASE

2023-12-11 21:15:07 UTC (buildkit.dockerfile.v0)

ARG SWIFT_WEBROOT=https://download.swift.org

2023-12-11 21:15:07 UTC (buildkit.dockerfile.v0)

ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu20.04 SWIFT_BRANCH=swift-5.9.2-release SWIFT_VERSION=swift-5.9.2-RELEASE SWIFT_WEBROOT=https://download.swift.org

2023-12-11 21:15:07 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu20.04 SWIFT_BRANCH=swift-5.9.2-release SWIFT_VERSION=swift-5.9.2-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl gnupg && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/libexec/swift/linux && chmod -R o+r /usr/lib/swift /usr/libexec/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl gnupg # buildkit

Details
Created

2023-12-11 21:15:07 UTC

Size

83.9 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.version
    20.04

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.9.2-release

SWIFT_PLATFORM

ubuntu20.04

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.9.2-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:ecd83b6c354452b6a9979c7666bba16927f1e60e2afbfe6401dd6f87d5db8576 - 29.53% (24.8 MB)

[#001] sha256:903f3f45a36b4341896a6a860422e767ce8d6b963de01bd17e75cbfe9e4092eb - 25.09% (21.1 MB)

[#002] sha256:841dd175921d83012a8c86911d78a5e1d2a53fe1d9101625589f6605d4d66692 - 45.38% (38.1 MB)


History
2023-12-11 21:15:07 UTC

/bin/sh -c #(nop) ARG RELEASE

2023-12-11 21:15:07 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2023-12-11 21:15:07 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2023-12-11 21:15:07 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=20.04

2023-12-11 21:15:07 UTC

/bin/sh -c #(nop) ADD file:2c90d89e4dd4e1d2473deca816f585a78ced2a0c5c799399810f86fdbb17ac7e in /

2023-12-11 21:15:07 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2023-12-11 21:15:07 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2023-12-11 21:15:07 UTC (buildkit.dockerfile.v0)

LABEL description=Docker Container for the Swift programming language

2023-12-11 21:15:07 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y libcurl4 libxml2 tzdata && rm -r /var/lib/apt/lists/* # buildkit

2023-12-11 21:15:07 UTC (buildkit.dockerfile.v0)

ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2023-12-11 21:15:07 UTC (buildkit.dockerfile.v0)

ARG SWIFT_PLATFORM=ubuntu20.04

2023-12-11 21:15:07 UTC (buildkit.dockerfile.v0)

ARG SWIFT_BRANCH=swift-5.9.2-release

2023-12-11 21:15:07 UTC (buildkit.dockerfile.v0)

ARG SWIFT_VERSION=swift-5.9.2-RELEASE

2023-12-11 21:15:07 UTC (buildkit.dockerfile.v0)

ARG SWIFT_WEBROOT=https://download.swift.org

2023-12-11 21:15:07 UTC (buildkit.dockerfile.v0)

ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu20.04 SWIFT_BRANCH=swift-5.9.2-release SWIFT_VERSION=swift-5.9.2-RELEASE SWIFT_WEBROOT=https://download.swift.org

2023-12-11 21:15:07 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu20.04 SWIFT_BRANCH=swift-5.9.2-release SWIFT_VERSION=swift-5.9.2-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl gnupg && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/libexec/swift/linux && chmod -R o+r /usr/lib/swift /usr/libexec/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl gnupg # buildkit

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete